> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enrow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Telefoonresultaat ophalen

> Haal het resultaat van één Phone Finder-zoekopdracht op via ID, inclusief het telefoonnummer, de landcode en de kwalificatiestatus

<Badge color="blue">GET</Badge>

```
https://api.enrow.io/phone/single?id={search_id}
```

Haal het resultaat van een eerder gestarte telefoonzoekopdracht op. Authenticeer elke aanvraag met je [API-sleutel](/nl/authentication) in de `x-api-key`-header.

<Info>
  Met een webhook kun je deze GET-endpoint overslaan. Zie [How Webhooks Work](/nl/how-webhooks-work).
</Info>

## Queryparameters

<ParamField query="id" type="string" required>
  De zoek-ID die door de POST-aanvraag is teruggegeven
</ParamField>

## Response

### 200 — Nummer gevonden

<ResponseField name="params" type="object">
  De oorspronkelijke zoekparameters
</ResponseField>

<ResponseField name="custom" type="string">
  Aangepaste waarde die in de oorspronkelijke aanvraag is meegegeven
</ResponseField>

<ResponseField name="number" type="string">
  Het telefoonnummer
</ResponseField>

<ResponseField name="country" type="string">
  ISO 3166-1 Alpha-2-landcode (bijv. `"FR"`, `"US"`)
</ResponseField>

<ResponseField name="qualification" type="string">
  `found`
</ResponseField>

### 200 — Nummer niet gevonden

<ResponseField name="params" type="object">
  De oorspronkelijke zoekparameters
</ResponseField>

<ResponseField name="qualification" type="string">
  `not_found`
</ResponseField>

### 202 — Zoekopdracht nog bezig

<ResponseField name="qualification" type="string">
  `ongoing`
</ResponseField>

### Foutresponses

| Code    | Message                                    |
| ------- | ------------------------------------------ |
| **400** | `Missing id in the query params`           |
| **500** | `Could not retrieve single search results` |

Zie [Foutafhandeling](/nl/error-handling) voor de volledige lijst met statuscodes en responsformaten. Let op: het ophalen van een resultaat verbruikt geen credits — credits worden in rekening gebracht wanneer de zoekopdracht wordt gestart, zoals beschreven in [Credits en facturering](/nl/credits-billing).

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.enrow.io/phone/single?id=94cbc13b-7d77-4f41-83f0-60106daa7182' \
    --header 'x-api-key: YOUR_API_KEY'
  ```

  ```javascript Node.js theme={null}
  const searchId = '94cbc13b-7d77-4f41-83f0-60106daa7182';
  const response = await fetch(`https://api.enrow.io/phone/single?id=${searchId}`, {
    headers: {
      'x-api-key': process.env.ENROW_API_KEY
    }
  });

  const data = await response.json();
  if (data.qualification === 'found') {
    console.log(`Phone: ${data.number} (${data.country})`);
  }
  ```

  ```python Python theme={null}
  import requests
  import os

  search_id = "94cbc13b-7d77-4f41-83f0-60106daa7182"
  url = f"https://api.enrow.io/phone/single?id={search_id}"
  headers = {
      "x-api-key": os.getenv("ENROW_API_KEY")
  }

  response = requests.get(url, headers=headers)
  data = response.json()
  if data["qualification"] == "found":
      print(f"Phone: {data['number']} ({data['country']})")
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "params": {
      "linkedin_url": "https://www.linkedin.com/in/michael-scott/"
    },
    "custom": "#u84hde941Jdx",
    "number": "+15705551234",
    "country": "US",
    "qualification": "found"
  }
  ```

  ```json Error Response theme={null}
  {
    "message": "..."
  }
  ```
</ResponseExample>

## Volgende stappen

<CardGroup cols={2}>
  <Card title="Een telefoonnummer vinden" icon="phone" href="/nl/api-reference/phone/find-single">
    Start één telefoonzoekopdracht vanuit een LinkedIn-URL.
  </Card>

  <Card title="Bulkresultaten ophalen" icon="layer-group" href="/nl/api-reference/phone/get-bulk-results">
    Haal de resultaten van een telefoonzoekopdracht in bulk op.
  </Card>

  <Card title="Webhooks" icon="bell" href="/nl/how-webhooks-work">
    Word automatisch op de hoogte gebracht wanneer een zoekopdracht is voltooid.
  </Card>

  <Card title="Authenticatie" icon="key" href="/nl/authentication">
    Hoe je je API-sleutel meegeeft in de x-api-key-header.
  </Card>
</CardGroup>
